.sf-menu, .sf-menu *
{
    margin: 0;
    padding: 0;
    list-style: none;
    font-size: 10px;
}
.sf-menu
{
    line-height: 1.0;
}
.sf-menu ul
{
    position: absolute;
    top: -999em;
    width: 250px;  /*left offset of submenus need to match (see below) */
}
.sf-menu ul li
{
    width: 100%;
}
.sf-menu li:hover
{
    visibility: inherit; /* fixes IE7 'sticky bug' */
}
.sf-menu li
{
    float: left;
    position: relative;
}
.sf-menu a
{
    display: block;
    position: relative;
}
.sf-menu li:hover ul, .sf-menu li.sfHover ul
{
    left: 0;
    top: 27px; /* match top ul list item height */
    z-index: 99;
}
ul.sf-menu li:hover li ul, ul.sf-menu li.sfHover li ul
{
    top: -999em;
}
ul.sf-menu li li:hover ul, ul.sf-menu li li.sfHover ul
{
    right: 250px;
    left: auto;
    top: 0;
}
ul.sf-menu li li:hover li ul, ul.sf-menu li li.sfHover li ul
{
    top: -999em;
}
ul.sf-menu li li li:hover ul, ul.sf-menu li li li.sfHover ul
{
    right: 250px;
    left: auto;
    top: 0;
}

/*** arrows **/
.sf-menu a.sf-with-ul
{

}
.sf-sub-indicator
{
    position: absolute;
    display: block;
    right: auto;
    left: .75em;
    top: 1.05em; /* IE6 only */
    width: 10px;
    height: 10px;
    text-indent: -999em;
    overflow: hidden;
    background: url('../images/arrows-ffffff-rtl.png') no-repeat -10px -100px; /* 8-bit indexed alpha png. IE6 gets solid image only */
}
a > .sf-sub-indicator
{
    /* give all except IE6 the correct values */
    top: .8em;
    background-position: 0; /* -100px use translucent arrow for modern browsers*/
}
/* apply hovers to modern browsers */
a:focus > .sf-sub-indicator, a:hover > .sf-sub-indicator, a:active > .sf-sub-indicator, li:hover > a > .sf-sub-indicator, li.sfHover > a > .sf-sub-indicator
{
    background-position: 0;/*-10px -100px;  arrow hovers for modern browsers*/
}

/* point right for anchors in subs */
.sf-menu ul .sf-sub-indicator
{
    background-position: -10px 0;
}
.sf-menu ul a > .sf-sub-indicator
{
    background-position: 0 0;
}
/* apply hovers to modern browsers */
.sf-menu ul a:focus > .sf-sub-indicator, .sf-menu ul a:hover > .sf-sub-indicator, .sf-menu ul a:active > .sf-sub-indicator, .sf-menu ul li:hover > a > .sf-sub-indicator, .sf-menu ul li.sfHover > a > .sf-sub-indicator
{
    background-position: -10px 0; /* arrow hovers for modern browsers*/
}

/*** shadows for all but IE6 ***/
.sf-shadow ul
{
    background: url('../images/shadow.png') no-repeat bottom right;
    padding: 0 8px 9px 0;
    -moz-border-radius-bottomleft: 17px;
    -moz-border-radius-topright: 17px;
    -webkit-border-top-right-radius: 17px;
    -webkit-border-bottom-left-radius: 17px;
}
.sf-shadow ul.sf-shadow-off
{
    background: transparent;
}
/*** ESSENTIAL STYLES ***/
.sf-menu li
{
    float: right;
}
.sf-menu li:hover ul, .sf-menu li.sfHover ul
{
    right: 0;
    left: auto;
}

/*** DEMO SKIN ***/
.sf-menu
{
    float: right;
}
.sf-menu a
{
    border-left: 1px solid #fff;
    padding: 7px 5px;
    text-decoration: none;
}
.sf-menu a, .sf-menu a:visited
{
    color: #000;
}
.sf-menu li
{
    background: #6b90aa;
}
.sf-menu li li
{
    background: #d7eaf8;
}
.sf-menu li li li
{
    background: #d7eaf8;
}
.sf-menu li li a, .sf-menu li li li a
{
    color: #000;
}
.sf-menu li:hover, .sf-menu li.sfHover, .sf-menu a:focus, .sf-menu a:hover, .sf-menu a:active
{
    background: #11476d;
    outline: 0;
    color: #fff;
}
.sf-shadow ul
{
    padding: 0 0 9px 8px;
    background-position: left bottom;
    border-top-left-radius: 17px;
    border-bottom-right-radius: 17px;
    -moz-border-radius-bottomleft: 0;
    -moz-border-radius-topright: 0;
    -webkit-border-top-right-radius: 0;
    -webkit-border-bottom-left-radius: 0;
    -moz-border-radius-bottomright: 17px;
    -moz-border-radius-topleft: 17px;
    -webkit-border-top-left-radius: 17px;
    -webkit-border-bottom-right-radius: 17px;
    border-top-left-radius: 17px;
    border-bottom-right-radius: 17px;
}
.sf-navbar ul li
{
    float: right;
}

ul.sf-navbar .current ul, ul.sf-navbar ul li:hover ul, ul.sf-navbar ul li.sfHover ul
{
    left: auto;
    right: 0;
}
